@import "/src/app/layout/variables";

// .closed {
//   display:none !important;
// }
.main-sidebar-body {
  overflow-y: auto;

  &::-webkit-scrollbar {
    display: none;
  }
}

.searchBox {
  position: relative;
  margin: 15px 10px;
  input {
    padding-right: 25px;
    background: rgba(0,0,0,0.01);
    border: 0px;
    box-shadow: 0px 0px 10px inset rgba(0,0,0,0.2);
  }
  i {
    position: absolute;
    top: 12px;
    right: 10px;
    font-size: 16px;
    cursor: pointer;
  }
}

.main-sidebar {
  background-color: $sidebar-background !important;
  width: $sidebar-width;
  flex-direction: column;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  // border-top: 1px solid $border-color;
  // border-right: 1px solid $border-color;
  transition: all .4s;
  position: relative;
  display: flex;
  z-index: 999;
  border-right-width: 1px;
  visibility: visible;
  @media (min-width: 767.99px) {
    &.main-sidebar-sticky {
      left: 0%;
      top: $header;
      border-radius: 0px 30px 0px 0px;

      &.closed {
        // left: -$sidebar-width;
        width: $sidebar-width-closed;
        
        .main-sidebar-body {
          overflow-y: visible;
        }

        .parent , .parent.show {
          width: $sidebar-width-closed;
          padding: 0px !important;

          .nav-sub {
            display: none !important;
          }
          .nav-link {
            // width: $sidebar-width;
            // height: 50px;
            .leftContentMenu {
              i {
                width: 60px;
              }
            }
            .sidemenu-label {
              display: none;
            }
            .right {
              display: none;
            }
          }
          &:hover {
            width: $sidebar-width;
            .nav-link {
              width: $sidebar-width;
              background-color: $sidemenu-hover-color;
            }
            .leftContentMenu {
              .sidemenu-label {
                display: block;
              }
            }
            .right {
              display: block !important;
            }
            .nav-sub {
              display: block !important;
              position: absolute;
              overflow: visible !important;
              opacity: 1;
              left: $sidebar-width-closed;
              width: $sidebar-width - $sidebar-width-closed;
              z-index: 9;
              // top: 0;
              .nav-sub-item {
                background-color: $sidebar-background;
              }
            }
          }
        }

        li.show > .nav-link {
          background-color: #25233c;
          // width: $sidebar-width !important;
          // .leftContentMenu {
          //   .sidemenu-label {
          //     display: block;
          //   }
          // }
          // .right {
          //   display: block !important;
          // }
        }
        li.show > ul {
          position: absolute;
          left: 60px;
          width: $sidebar-width - 60px;

          .nav-sub-item {
            background-color: $sidebar-background;
          }
        }
      }

      .sidemenu-logo {
        display: none;
      }

      // .main-sidebar-body {
      //   margin-top: 15px !important;
      // }
    }
  }

  @media (max-width: 767.98px) {
    &.main-sidebar-sticky {
      left: -$sidebar-width;
      top: 64px;

      &.closed {
        left: 0%;
      }

      .sidemenu-logo {
        display: none;
      }

      .main-sidebar-body {
        margin-top: 15px !important;
      }
    }
  }

  &.main-sidebar-sticky {
    position: fixed;
    // top: 0;
    // left: 0;
    bottom: 0;
    box-shadow: none;
    background: var(--sidebar-background);
    // border-radius: 0px 30px 0px 0px;

    .sidemenu-logo {
      position: fixed;
      z-index: 9999;
      width: $sidebar-width;
      // background:  var(--sidebar-background);
      background: #fff;
      transition: all .4s;
      padding: 13.4px 21px;

      .main-logo {
        color: var(--primary-color);
        font-weight: 700;
        font-size: 14px;
        line-height: 37px;
        font-family: $font-family;
        text-transform: uppercase;
        // white-space: nowrap;
        letter-spacing: 0px;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: left;
        align-items: left;
        position: relative;
        margin: auto;
        -ms-flex-pack: left;
        justify-content: left;

        .header-brand-img {
          line-height: 2.5rem;
          vertical-align: middle;
          width: auto;
          max-width: 100%;
          margin: 0 10px 0 auto;
          max-height: 37px;
        }
      }

      .logo-text {
        line-height: 15px;
        font-size: 13px;
      }
    }

    .main-sidebar-body {
      // margin-top: 65px;
      // padding: 12px 0;
      z-index: 2;

      .nav {
        -ms-flex-direction: column;
        flex-direction: column;
        // padding: 0 0 0 15px;
        -ms-flex-pack: center;
        justify-content: center;
        margin: 0 auto;
      }

      .nav {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        /* padding-left: 0; */
        margin-bottom: 0;
        list-style: none;

        .nav-item {
          position: relative;
          display: block;
          transition-duration: .25s;
          // margin: 6px 0;
          // padding: 6px 0px;
          // border-bottom: 1px solid #eee;

          a {
            text-decoration: none;
            cursor: pointer;
          }

          i {
            width: 60px;
            text-align: center;
          }
          &.parent {
            > .nav-link {
              .leftContentMenu {
                i {
                  width: 40px;
                  height: 40px;
                  display: flex;
                  align-items: center;
                  justify-content: center;
                  background-color: #eaeef0;
                  border-radius: 10px;
                  margin: 0px 10px;
                }
              }
            }
          }

          .leftContentMenu {
            display: flex;
            align-items: center;
            // i {
            //   width: 40px;
            //   height: 40px;
            //   display: flex;
            //   align-items: center;
            //   justify-content: center;
            //   background-color: #eaeef0;
            //   border-radius: 10px;
            //   margin: 0px 10px;
            // }
          }

          &.active {
            .sidemenu-icon {
              background: var(--primary-color);
              color: #fff;
            }

            // .nav-link {
                // &::before {
                //     border-right: 20px solid #25233c;
                // }
                // &::after {
                //     border-right: 20px solid #25233c;
                // }
            // }
            &.show {
              .nav-link {
                .sidemenu-label {
                  // color: var(--primary-color);
                  // color: #fff;
                  // font-weight: bold;
                }

                &:hover {
                  &>.sidemenu-label {
                    // color: var(--primary-color);
                    color: #fff;
                  }
                }
                &::before {
                  background-color: $primary-color;
                }
                .right {
                  text-align: right;
                  i {
                    width: 14px;
                    transition: all .2s;
                    transform: rotate(180deg);
                  }
                }
              }
            }
          }

          i.angle {
            -ms-transform-origin: center;
            transform-origin: center;
            position: absolute;
            top: 15px;
            right: 20px;
            font-size: 12px;

            svg {
              width: 10px;
            }
          }

          .nav-link {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            justify-content: space-between;
            // padding: 4px 9px 4px 4px;
            padding: 10px 15px 10px 4px;
            font-weight: 400;
            font-size: 14px;
            color: $sidemenu-color;
            // border-radius: 30px 0 0 30px;
            transition: none;
            .right {
              text-align: right;
              i {
                width: 14px;
                transition: all .2s;
                transform: rotate(0deg);
              }
            }

            &::before {
              content: "";
              position: absolute;
              width: 3px;
              height: 100%;
              top: 0px;
              z-index: 9;
              left: 0;
              border-radius: 0px 5px 5px 0px;
              // border-right: 20px solid #25233c;
            }

            &::after {
              content: "";
              position: absolute;
              // top: 43px;
              z-index: 0;
              right: 0;
              bottom: -10px;
              // height: 30px;
              height: 10px;
              border-top-color: rgba(0, 0, 0, 0);
              border-left-color: rgba(0, 0, 0, 0);
              border-bottom: rgba(0, 0, 0, 0);
              border-radius: 0 48px 0 0;
              // border-right: 20px solid #25233c;
            }

            // &.active {
            //     .sidemenu-icon {
            //         background: var(--primary-color);
            //         color: #fff;
            //     }
            // }
            &:hover {
              &>.sidemenu-label {
                // color: #fff;
              }
            }

            &.active {
              .sidemenu-label {
                // color: var(--primary-color);
                color: $sidemenu-color;
              }

              &:hover {
                &>.sidemenu-label {
                  // color: var(--primary-color);
                  color: $sidemenu-color;
                }
              }
            }

            &.with-sub {
              position: relative;
            }

            .sidemenu-icon {
              font-size: 17px;
              line-height: 0;
              margin-right: 10px;
              width: 35px;
              height: 35px;
              line-height: 35px;
              text-align: center;
              border-radius: 50%;
              position: relative;

              i {
                position: absolute;
                right: 5px;
                bottom: -5px;
                font-size: 60%;
                text-shadow: -2px -2px 0px #25233c;
              }
            }
          }

          .sidemenu-label {
            transition: margin-left 0.45s ease;
            width: $sidebar-width - 90px;
            text-align: left;
          }

          i.angle {
            transition: all 0.45s ease;
          }

          &.no-child.active {
            .sidemenu-label {
              color: var(--primary-color) !important;
            }

            &:hover {
              &>.sidemenu-label {
                color: var(--primary-color);
              }
            }

            .shape1 {
              display: none;
              position: absolute;
              // top: -30px;
              // width: 20px;
              // height: 30px;
              top: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .shape2 {
              display: none;
              position: absolute;
              // top: 35px;
              // width: 20px;
              // height: 30px;
              bottom: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .nav-link {
              // background-color: var(--sidebar-active-background);
              position: relative;
              z-index: 1;
              text-align: center;
              // border-radius: 30px 0 0 30px;
              // margin: 10px auto 10px 0;
              margin: 0px auto 0px 0;
              border: 0 solid rgba(0, 0, 0, 0);
              border-right: 0;
              width: inherit;
            }
          }

          &.active {
            .sidemenu-label {
              // color: var(--primary-color);
              color: $sidemenu-color;
            }

            &:hover {
              &>.sidemenu-label {
                // color: var(--primary-color);
                color: $sidemenu-color;
              }
            }

            .shape1 {
              display: none;
              position: absolute;
              // top: -30px;
              // width: 20px;
              // height: 30px;
              top: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .shape2 {
              display: none;
              position: absolute;
              // top: 35px;
              // width: 20px;
              // height: 30px;
              bottom: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .nav-link {
              // background-color: var(--sidebar-active-background);
              position: relative;
              z-index: 1;
              // text-align: center;
              // border-radius: 30px 0 0 30px;
              // margin: 10px auto 10px 0;
              margin: 0px auto 0px 0;
              border: 0 solid rgba(0, 0, 0, 0);
              border-right: 0;
              width: inherit;
            }
          }

          &.show {
            >.nav-sub {
              display: block;
              transition: all 2s;
            }

            i.angle {
              transform: rotate(90deg);
              // color: var(--primary-color);
              color: #fff;
            }
          }

          :hover {
            &>.sidemenu-label {
              // margin-left: 5px;
            }
          }

          .nav-sub {
            list-style: none;
            padding: 0;
            // margin-left: 1.2rem;
            // display: none;
            overflow: hidden;

            .nav-sub-item {

              .shape1,
              .shape2 {
                display: none;
              }

              .nav-sub-link {
                display: -ms-flexbox;
                display: flex;
                -ms-flex-align: center;
                align-items: center;
                color: rgba(1, 1, 1, 0.6);
                font-size: 13px;
                padding: 10px 15px 10px 5px;
                position: relative;
                justify-content: space-between;

                .sidemenu-label {
                  // color: rgba(0, 0, 0, 1);
                  color: $sidemenu-color;
                }

                // &:hover {
                //     & > .sidemenu-label {
                //         color: #fff !important;
                //     }
                // }
                &.active {
                  color: $sidemenu-color;
                  // background-color: var(--sidebar-active-background);
                  border-radius: 30px 0px 0px 30px;

                  // &::before {
                  //   opacity: 1;
                  //   margin-left: 10px;
                  //   margin-right: 10px;
                  //   color: var(--primary-color);
                  // }

                  .sidemenu-label {
                    // color: #fff;
                    color: $sidemenu-color;
                    // font-weight: bold;
                    position: relative;
                    // text-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
                    // &::before {
                    //     content: "";
                    //     background-color: #000;
                    //     width: 100%;
                    //     height: 100%;
                    //     position: absolute;
                    //     display: block;
                    // }
                  }

                  i.angle {
                    transform: rotate(90deg) !important;
                    color: #fff !important;
                  }

                  // &::after {
                  //         content: "";
                  //         width: 100%;
                  //         height: 100%;
                  //         background-image: linear-gradient(to right, rgba(255,255,255,0.3) , transparent);
                  //         position: absolute;
                  //         z-index: -1;
                  //         left: 0px;
                  //         border-radius: 50px 0px 0px 50px;
                  //         box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.9);
                  // }
                }

              }

              .nav-sub-link:before {
                // content: "";
                // font-family: typicons;
                // content: "\f132";
                // font-family: bootstrap-icons !important;
                // font-style: normal;
                // font-weight: 400;
                // text-decoration: inherit;
                // top: 8px;
                // font-size: 12px;
                // opacity: .4;
                // margin-right: 22px;
                // color: hsla(0, 0%, 100%, .8);
              }


              &.has-child.active {
                >.active.nav-sub-link {
                  background-color: transparent;
                  position: relative;
                  z-index: 1;
                  text-align: center;
                  border-radius: 30px 0 0 30px;
                  // margin: 10px auto 10px 0;
                  margin: 0px auto 0px 0;
                  border: 0 solid rgba(0, 0, 0, 0);
                  border-right: 0;
                  width: inherit;

                  &::before {
                    color: #fff;
                  }

                  .sidemenu-label {
                    color: #fff !important;
                  }

                  &:hover {
                    &>.sidemenu-label {
                      color: var(--primary-color);
                    }
                  }
                }
              }
            }
          }
          &.has-child.active.show {
            background: linear-gradient(0deg, rgba(0,0,0,0.01), transparent, rgba(0,0,0,0.01));
          }
        }
      }

      .nav-sub {
        transition: all .2s;
      }

      .nav-sub .nav-sub1 {
        display: none;
        transition: all 0.9s;
      }

      .nav-sub-item.show .nav-sub1 {
        // display: block;
        transition: all 2s;
      }

      a.nav-sub-link.with-sub1 {
        position: relative;

        .fe-chevron-right {
          color: rgba(255, 255, 255, 0.4) !important;
          top: 10px !important;
          transform: rotate(0deg) !important;
          // &::before {
          //     content: "\f285";
          //     font-family: bootstrap-icons !important;
          // }
        }
      }
    }
  }
}

.badge.badge-danger {
  background-color: $red-color;
  border-radius: 20px;
}
.badge-text {
  color: $font-color;
}




.main-sidebar-body .nav-item+.nav-item {
  margin-top: -1px;
}

.main-sidebar-body .nav-item .nav-link.active:after {
  content: "";
  position: absolute;
  top: 43px;
  z-index: 0;
  right: 0;
  bottom: 0;
  height: 30px;
  border-top-color: rgba(0, 0, 0, 0);
  border-left-color: rgba(0, 0, 0, 0);
  border-bottom: rgba(0, 0, 0, 0);
  border-radius: 0 48px 0 0;
}

li {
  &>ul {
    transition: height .2s;
    // height: 0;
    max-height: 0px;
    opacity: 0;
    // transform: translateY(-50px);
  }
}

li.show {
  &>ul {
    transition: height .2s;
    // height: auto;
    max-height: 1000px;
    opacity: 1;
    // transform: translateY(0px);
  }
}

@keyframes height {
  from   {max-height: 0;}
  to {max-height: 1000px;}
}
